PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Classes | Functions
XMPP Namespace Reference

## Namespaces
namespace | C2S
namespace | Disco
| JEP-0030 Service Discovery classes.
namespace | MUC

## Classes
class | JID
class | BareJID
class | Transport
| This interface is the base class of each XMPP transport class. More...
class | Stream
| This class represents a XMPP stream, i.e. More...
class | BaseStreamHandler
class | Stanza
| XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...
class | Message
class | Presence
class | IQ
class | Identity
class | Roster

## Functions
const PCaselessString & | LanguageTag ()
| Various constant strings. More...
const PCaselessString & | NamespaceTag ()
const PCaselessString & | MessageStanzaTag ()
const PCaselessString & | PresenceStanzaTag ()
const PCaselessString & | IQStanzaTag ()
const PCaselessString & | IQQueryTag ()
| PLIST (StanzaList, Stanza)
| IdentityList (PXMLElement *list)
PXMLElement * | AsXML (PXMLElement *parent) const

## Function Documentation

PXMLElement* XMPP::AsXML | ( | PXMLElement * | parent | ) | const

XMPP::IdentityList | ( | PXMLElement * | list | ) |

const PCaselessString& XMPP::IQQueryTag | ( |  | ) |

const PCaselessString& XMPP::IQStanzaTag | ( |  | ) |

const PCaselessString& XMPP::LanguageTag | ( |  | ) |

Various constant strings.

const PCaselessString& XMPP::MessageStanzaTag | ( |  | ) |

const PCaselessString& XMPP::NamespaceTag | ( |  | ) |

XMPP::PLIST | ( | StanzaList | ,
|  | Stanza |
| ) |  |

const PCaselessString& XMPP::PresenceStanzaTag | ( |  | ) |